# Uses of Interface
org.eclipse.gef.mvc.fx.ui.parts.IDirtyStateProvider

Packages that use IDirtyStateProvider
Package
Description
org.eclipse.gef.mvc.fx.ui.parts
This package contains specific Eclipse `ViewPart` and `EditorPart` implementations which wrap an `FXCanvas`.

## Uses of IDirtyStateProvider in org.eclipse.gef.mvc.fx.ui.parts

Classes in org.eclipse.gef.mvc.fx.ui.parts that implement IDirtyStateProvider
Modifier and Type
Class
Description
`class`
`HistoryBasedDirtyStateProvider`
A support class to handle the dirty state of a `WorkbenchPart` that uses an `IOperationHistory` and an `IUndoContext`.
Methods in org.eclipse.gef.mvc.fx.ui.parts that return IDirtyStateProvider
Modifier and Type
Method
Description
`IDirtyStateProvider`
IDirtyStateProviderFactory.`create(IWorkbenchPart workbenchPart)`
Creates a new `IDirtyStateProvider` for the given `IWorkbenchPart`.